<?php echo $header; ?>
<div id="content">
<div class="breadcrumb">
  <?php foreach ($breadcrumbs as $breadcrumb) { ?>
  <?php echo $breadcrumb['separator']; ?><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a>
  <?php } ?>
</div>
<?php if ($error_warning) { ?>
<div class="warning"><?php echo $error_warning; ?></div>
<?php } ?>
<div class="box">
  <div class="heading">
    <h1><img src="view/image/module.png" alt="" /> <?php echo $heading_title; ?></h1>
    <div class="buttons"><a onclick="$('#form').submit();" class="button"><span><?php echo $button_save; ?></span></a><a onclick="location = '<?php echo $cancel; ?>';" class="button"><span><?php echo $button_cancel; ?></span></a></div>
  </div>
  <div class="content">
    <form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form">
      <table class="form">
        <tr>
          <td><span class="required">*</span> <?php echo $entry_code; ?></td>
          <td><textarea name="yahoochat_code" cols="40" rows="5"><?php echo $yahoochat_code; ?></textarea>
            <?php if ($error_code) { ?>
            <span class="error"><?php echo $error_code; ?></span>
            <?php } ?></td>
        </tr>		
		
      </table>
      <table id="module" class="list">
        <thead>
          <tr>
            <td class="left"><?php echo $entry_layout; ?></td>
            <td class="left"><?php echo $entry_position; ?></td>
            <td class="left"><?php echo $entry_status; ?></td>
            <td class="right"><?php echo $entry_sort_order; ?></td>
            <td></td>
          </tr>
        </thead>
        <?php $module_row = 0; ?>
        <?php foreach ($modules as $module) { ?>
        <tbody id="module-row<?php echo $module_row; ?>">
          <tr>
            <td class="left"><select name="top1e_yahoochat_module[<?php echo $module_row; ?>][layout_id]">
                <?php foreach ($layouts as $layout) { ?>
                <?php if ($layout['layout_id'] == $module['layout_id']) { ?>
                <option value="<?php echo $layout['layout_id']; ?>" selected="selected"><?php echo $layout['name']; ?></option>
                <?php } else { ?>
                <option value="<?php echo $layout['layout_id']; ?>"><?php echo $layout['name']; ?></option>
                <?php } ?>
                <?php } ?>
              </select></td>
            <td class="left"><select name="top1e_yahoochat_module[<?php echo $module_row; ?>][position]">
                <?php if ($module['position'] == 'content_top') { ?>
                <option value="content_top" selected="selected"><?php echo $text_content_top; ?></option>
                <?php } else { ?>
                <option value="content_top"><?php echo $text_content_top; ?></option>
                <?php } ?>  
                <?php if ($module['position'] == 'content_bottom') { ?>
                <option value="content_bottom" selected="selected"><?php echo $text_content_bottom; ?></option>
                <?php } else { ?>
                <option value="content_bottom"><?php echo $text_content_bottom; ?></option>
                <?php } ?>     
                <?php if ($module['position'] == 'column_left') { ?>
                <option value="column_left" selected="selected"><?php echo $text_column_left; ?></option>
                <?php } else { ?>
                <option value="column_left"><?php echo $text_column_left; ?></option>
                <?php } ?>
                <?php if ($module['position'] == 'column_right') { ?>
                <option value="column_right" selected="selected"><?php echo $text_column_right; ?></option>
                <?php } else { ?>
                <option value="column_right"><?php echo $text_column_right; ?></option>
                <?php } ?>
              </select></td>
            <td class="left"><select name="top1e_yahoochat_module[<?php echo $module_row; ?>][status]">
                <?php if ($module['status']) { ?>
                <option value="1" selected="selected"><?php echo $text_enabled; ?></option>
                <option value="0"><?php echo $text_disabled; ?></option>
                <?php } else { ?>
                <option value="1"><?php echo $text_enabled; ?></option>
                <option value="0" selected="selected"><?php echo $text_disabled; ?></option>
                <?php } ?>
              </select></td>
            <td class="right"><input type="text" name="top1e_yahoochat_module[<?php echo $module_row; ?>][sort_order]" value="<?php echo $module['sort_order']; ?>" size="3" /></td>
            <td class="left"><a onclick="$('#module-row<?php echo $module_row; ?>').remove();" class="button"><?php echo $button_remove; ?></a></td>
          </tr>
        </tbody>
        <?php $module_row++; ?>
        <?php } ?>
        <tfoot>
          <tr>
            <td colspan="4"></td>
            <td class="left"><a onclick="addModule();" class="button"><?php echo $button_add_module; ?></a></td>
          </tr>
        </tfoot>
      </table>
	  
	  
	  <!-----------Option------------------------------------------------------>
		<table id="option" class="list">
          <thead>
            <tr>
			<td class="left" style="text-align:center;"><?php echo $title_option_icon ?></td>                       				
            </tr>
          </thead>
		  
		    <tbody id="option-row">	  
			  <tr>
			  <td style="padding:5px;text-align:center; ">
				<div>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online1" name="top1e_yahoochat_option_icon" value="1" <?php if ($option_icon=='1'){ ?> checked="checked" <?php } ?>/><label for="online1"><img src="../image/top1e_yahoochat/online1.gif" alt="online1" title="online1" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online2" name="top1e_yahoochat_option_icon" value="2" <?php if ($option_icon=='2'){ ?> checked="checked" <?php } ?>/><label for="online2"><img src="../image/top1e_yahoochat/online2.gif" alt="online2" title="online2" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online3" name="top1e_yahoochat_option_icon" value="3" <?php if ($option_icon=='3'){ ?> checked="checked" <?php } ?> /><label for="online3"><img src="../image/top1e_yahoochat/online3.gif" alt="online3" title="online3" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online3" name="top1e_yahoochat_option_icon" value="4" <?php if ($option_icon=='4'){ ?> checked="checked" <?php } ?> /><label for="online4"><img src="../image/top1e_yahoochat/online4.gif" alt="online4" title="online4" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online5" name="top1e_yahoochat_option_icon" value="5" <?php if ($option_icon=='5'){ ?> checked="checked" <?php } ?>/><label for="online5"><img src="../image/top1e_yahoochat/online5.gif" alt="online5" title="online5" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online6" name="top1e_yahoochat_option_icon" value="6" <?php if ($option_icon=='6'){ ?> checked="checked" <?php } ?> /><label for="online6"><img src="../image/top1e_yahoochat/online6.gif" alt="online6" title="online6" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online7" name="top1e_yahoochat_option_icon" value="7" <?php if ($option_icon=='7'){ ?> checked="checked" <?php } ?> /><label for="online7"><img src="../image/top1e_yahoochat/online7.gif" alt="online7" title="online7" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online8" name="top1e_yahoochat_option_icon" value="8" <?php if ($option_icon=='8'){ ?> checked="checked" <?php } ?>/><label for="online8"><img src="../image/top1e_yahoochat/online8.gif" alt="online8" title="online8" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online9" name="top1e_yahoochat_option_icon" value="9" <?php if ($option_icon=='9'){ ?> checked="checked" <?php } ?> /><label for="online9"><img src="../image/top1e_yahoochat/online9.gif" alt="online9" title="online9" /></label>
				  <input style="position:relative;top:-15px; margin-right:5px;" type="radio" id="online10" name="top1e_yahoochat_option_icon" value="10" <?php if($option_icon=='10'){ ?> checked="checked" <?php } ?> /><label for="online10"><img src="../image/top1e_yahoochat/online10.gif" alt="online10" title="online10" /></label>
				
				</div>
				</td>
			  </tr>
		  </tbody>
		  
		  </table>
		  <!----------------------------------/Option--------------------------------------------->	  	  
    </form>
	
	
	<div class="about-googletranslate">
            <h3>ABOUT GOOGLE TRANSLATE</h3>
            <ul>
                <li>Author                                              	 : Top1Extensions</li>
                <li>Version                                            	:  1.0</li>
                <li>Opencart Compatibility             	 : v1.4.x, v1.5.x</li>
                <li>Email                                                 	: support@top1extensions.com</li>
            </ul>
    </div>
      <div class="about-top1extension">
            <h3>ABOUT <a href="http://top1extensions.com/">TOP1EXTENSIONS.COM</a></h3>
             <p>
                        We have expert developers that can assist for many eCommerce extensions, modules, widget development, new extension creation or customization.
                        <br>
                        We are a teams of seasoned web professionals with many years of hands-on experience  and alway use new technology, so we will bring best solutions for your site.
                        </p>
    </div> 
	<div class="advertising">
            <h3> MORE MODULES</h3>
             <iframe src="http://top1extensions.com/advertising/opencart_advertising.html" width="100%" height="335px;" border="0" style="border:none;"></iframe>
			</fieldset>';
    </div> 
	
  </div>
</div>
<script type="text/javascript"><!--
var module_row = <?php echo $module_row; ?>;

function addModule() {	
	html  = '<tbody id="module-row' + module_row + '">';
	html += '  <tr>';
	html += '    <td class="left"><select name="top1e_yahoochat_module[' + module_row + '][layout_id]">';
	<?php foreach ($layouts as $layout) { ?>
	html += '      <option value="<?php echo $layout['layout_id']; ?>"><?php echo $layout['name']; ?></option>';
	<?php } ?>
	html += '    </select></td>';
	html += '    <td class="left"><select name="top1e_yahoochat_module[' + module_row + '][position]">';
	html += '      <option value="content_top"><?php echo $text_content_top; ?></option>';
	html += '      <option value="content_bottom"><?php echo $text_content_bottom; ?></option>';
	html += '      <option value="column_left"><?php echo $text_column_left; ?></option>';
	html += '      <option value="column_right"><?php echo $text_column_right; ?></option>';
	html += '    </select></td>';
	html += '    <td class="left"><select name="top1e_yahoochat_module[' + module_row + '][status]">';
    html += '      <option value="1" selected="selected"><?php echo $text_enabled; ?></option>';
    html += '      <option value="0"><?php echo $text_disabled; ?></option>';
    html += '    </select></td>';
	html += '    <td class="right"><input type="text" name="top1e_yahoochat_module[' + module_row + '][sort_order]" value="" size="3" /></td>';
	html += '    <td class="left"><a onclick="$(\'#module-row' + module_row + '\').remove();" class="button"><?php echo $button_remove; ?></a></td>';
	html += '  </tr>';
	html += '</tbody>';
	
	$('#module tfoot').before(html);
	
	module_row++;
}
//--></script>
<?php echo $footer; ?>